Search Account

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/account
API call form
Examples

Accounts/Connections contain the information necessary to access a certain plugin (e.g. Google Drive, your own custom plugin, etc.) or database. When you add a database connection and click 'Connect', an account/connection is created, allowing you to retrieve datasets later on.

Request parametersResponse schema
count NUMBER

The number of records returned

rows ARRAY[OBJECT]
id UUID
description Multilingual string
provider STRING
date DATETIME
expiry DATETIME
scope STRING
host STRING
name STRING
active BOOLEAN
invalid BOOLEAN
token STRING
identifier STRING
port STRING
cache NUMBER
code STRING
datasets_meta_sync_enabled BOOLEAN
datasets_meta_sync_interval NUMBER
Can be executed by:
Connection Reader
Can be associated to:
User
Did this page help you?
Yes No
Language
Shell
Node
Java
.NET
Python
PHP
Base URL
https://api.luzmo.com/0.1.0/account
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "properties": {},
      "id": "addag6c8-7bc4-45b2-a451-ca8b3c1339ff",
      "provider": "demodataplugin",
      "date": "2021-10-14T10:31:42.916Z",
      "identifier": null,
      "expiry": null,
      "scope": null,
      "host": null,
      "name": "Demo data",
      "description": {
        "en": "Test data for demo purposes"
      },
      "port": null,
      "active": true,
      "invalid": false,
      "cache": 0,
      "synced": false,
      "version": null,
      "datasets_meta_sync_interval": 1,
      "datasets_meta_sync_enabled": true,
      "created_at": "2021-10-14T10:31:42.917Z",
      "updated_at": "2024-01-10T12:50:23.216Z",
      "user_id": "690b7bd5-2c92-4432-ba47-35d785df1bi4",
      "plugin_id": "0a79g0a4-a07e-45f5-aff6-1bcd4a12cb7a",
      "shareable_id": "2b12052-1f0b-4672-88fa-9060768a4386"
    }
  ]
}